Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.groovy
Class GroovyPortletHeaderPhaseSupport

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.groovy.GroovyPortlet
              org.apache.portals.bridges.groovy.GroovyPortletHeaderPhaseSupport

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig, org.apache.jetspeed.portlet.SupportsHeaderPhase

public class GroovyPortletHeaderPhaseSupport
extends GroovyPortlet
implements org.apache.jetspeed.portlet.SupportsHeaderPhase

GroovyPortletHeaderPhaseSupport parses and invokes a groovy-scripted portlet. A groovy-scripted portlet just need to be implemented like any other Java-based portlet. So, a groovy-scripted portlet does not support only full features of JSR-168 portlet, but it also supports JSR-286 header phase.

Author:
  Woonsan Ko

Field Summary
`protected org.apache.jetspeed.portlet.SupportsHeaderPhase` | `scriptPortletInstanceWithHeaderPhase`

Fields inherited from class org.apache.portals.bridges.groovy.GroovyPortlet
`AUTO_REFRESH_INIT_PARAM, autoRefresh, groovyClassLoader, groovyCodeSource, parsedFileLastModified, portletConfig, portletDoEditMethod, SCRIPT_SOURCE_INIT_PARAM, SCRIPT_SOURCE_URL_ENCODING_INIT_PARAM, scriptGenericPortletInstance, scriptPortletInstance, scriptSourceUri, scriptSourceUriEncoding`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`GroovyPortletHeaderPhaseSupport()`

Method Summary
`protected void` | `createScriptPortletInstance()`
`void` | `doHeader(org.apache.jetspeed.portlet.PortletHeaderRequest request, org.apache.jetspeed.portlet.PortletHeaderResponse response)`

Methods inherited from class org.apache.portals.bridges.groovy.GroovyPortlet
`destroy, doEdit, getPortletConfig, init, isScriptFileModified, processAction, refreshPortletInstance, render`

Methods inherited from class javax.portlet.GenericPortlet
`doDispatch, doHelp, doView, getInitParameter, getInitParameterNames, getPortletContext, getPortletName, getResourceBundle, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scriptPortletInstanceWithHeaderPhase

    protected org.apache.jetspeed.portlet.SupportsHeaderPhase scriptPortletInstanceWithHeaderPhase

Constructor Detail

### GroovyPortletHeaderPhaseSupport

    public GroovyPortletHeaderPhaseSupport()

Method Detail

### doHeader

    public void doHeader(org.apache.jetspeed.portlet.PortletHeaderRequest request,
                         org.apache.jetspeed.portlet.PortletHeaderResponse response)
                  throws javax.portlet.PortletException

  Specified by:
    `doHeader` in interface `org.apache.jetspeed.portlet.SupportsHeaderPhase`
  Throws:
    `javax.portlet.PortletException`

### createScriptPortletInstance

    protected void createScriptPortletInstance()
                                        throws org.codehaus.groovy.control.CompilationFailedException,
                                               InstantiationException,
                                               IOException,
                                               IllegalAccessException,
                                               javax.portlet.PortletException

  Overrides:
    `createScriptPortletInstance` in class `GroovyPortlet`
  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`
    `InstantiationException`
    `IOException`
    `IllegalAccessException`
    `javax.portlet.PortletException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.